This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830310 - (CVE-2012-2034, CVE-2012-2035, CVE-2012-2036, CVE-2012-2037, CVE-2012-2039) CVE-2012-2034 CVE-2012-2035 CVE-2012-2036 CVE-2012-2037 CVE-2012-2039 flash-plugin: multiple code execution flaws (APSB12-14)
CVE-2012-2034 CVE-2012-2035 CVE-2012-2036 CVE-2012-2037 CVE-2012-2039 flash-p...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120608,repor...
: Security
Depends On: 830315 830316 830317 830318
Blocks: 830312
  Show dependency treegraph
 
Reported: 2012-06-08 16:00 EDT by Vincent Danen
Modified: 2012-06-12 11:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: flash-plugin 10.3.183.20, flash-plugin 11.2.202.236
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 11:08:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-08 16:00:53 EDT
Adobe security bulletin APSB12-14 describes numerous security flaws that can lead to arbitrary code execution when a malicious SWF file is opened in Adobe Flash Player:

These updates resolve a memory corruption vulnerability that could lead to code execution (CVE-2012-2034).

These updates resolve a stack overflow vulnerability that could lead to code execution (CVE-2012-2035).

These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2012-2036).

These updates resolve a memory corruption vulnerability that could lead to code execution (CVE-2012-2037).

These updates resolve null dereference vulnerabilities that could lead to code execution (CVE-2012-2039).


External References:

http://www.adobe.com/support/security/bulletins/apsb12-14.html
Comment 2 errata-xmlrpc 2012-06-12 10:55:48 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0722 https://rhn.redhat.com/errata/RHSA-2012-0722.html

Note You need to log in before you can comment on or make changes to this bug.